summaryrefslogtreecommitdiff
path: root/contrib/jenkins.sh
diff options
context:
space:
mode:
authorRuben Undheim <ruben.undheim@gmail.com>2018-07-20 22:28:06 +0200
committerRuben Undheim <ruben.undheim@gmail.com>2018-07-20 22:30:32 +0200
commit616f07068ce1d53ec1dda14b3ac25c9799f4cecc (patch)
tree94d84ee18abfd3a76940a4acc219b053f0832d5a /contrib/jenkins.sh
Imported 1.2.1
Diffstat (limited to 'contrib/jenkins.sh')
-rwxr-xr-xcontrib/jenkins.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..0be4fe0
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,52 @@
+#!/usr/bin/env bash
+# jenkins build helper script for openbsc. This is how we build on jenkins.osmocom.org
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
+
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+osmo-clean-workspace.sh
+
+mkdir "$deps" || true
+
+osmo-build-dep.sh libosmocore "" '--disable-doxygen --enable-gnutls'
+
+verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+osmo-build-dep.sh libosmo-abis
+osmo-build-dep.sh libosmo-netif
+osmo-build-dep.sh libosmo-sccp
+osmo-build-dep.sh osmo-mgw
+
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-bsc ==============================="
+echo
+set -x
+
+cd "$base"
+autoreconf --install --force
+./configure --enable-sanitize --enable-external-tests --enable-werror
+$MAKE $PARALLEL_MAKE
+LD_LIBRARY_PATH="$inst/lib" $MAKE check \
+ || cat-testlogs.sh
+LD_LIBRARY_PATH="$inst/lib" \
+ DISTCHECK_CONFIGURE_FLAGS="--enable-vty-tests --enable-external-tests --enable-werror" \
+ $MAKE distcheck \
+ || cat-testlogs.sh
+
+osmo-clean-workspace.sh